---
search:
  tags:
    - Attributes
    - DELETE
seo:
  description: >-
    Deletes multiple attributes… Reference for the DELETE
    /api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/bulk
    endpoint in the Management API.
sidebar:
  label: Bulk Delete Attributes
  badge: DELETE
title: Bulk Delete Attributes
type: openapi-operation
---
Deletes multiple attributes by their IDs for a specified attribute template in a single operation. Returns lists of successful and failed deletions. Publishes attribute deleted events for each successful deletion.

`DELETE /api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/bulk`

**Request body** (`application/json`, required)

Attribute IDs to delete (max 50)

- `attribute_ids` (string[], required)

Request body example:

```json
{
  "attribute_ids": [
    "string"
  ]
}
```

**Responses**

- `200` — Attributes processed successfully
- `400` — Invalid request payload
- `401` — Unauthorized access
- `404` — Attribute template not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "failed": [
      {
        "id": "string",
        "reason": "string"
      }
    ],
    "successful": [
      "string"
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
